# Mail - **OpenAPI Version:** `3.1.0` - **API Version:** `1.0.0` The Zoom Mail webhooks allow developers to receive events for [Zoom Mail](https://developers.zoom.us/docs/zoom-mail/) features. ## Operations ### POST mail.history\_event - **Method:** `POST` - **Path:** `mail.history_event` - **Tags:** mail #### Request Body ##### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred in echo milliseconds. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user whose mailbox having the event. - **`object` (required)** `object` — The information of the event. - **`email` (required)** `string` — The mailbox email of which event is from. - **`history_id` (required)** `integer` — History ID of the event that is generated from the message change. - **`operator` (required)** `string` — The email of the user who triggered the event. It could be the mailbox owner or the mailbox delegate user. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "object": { "email": "", "history_id": 1 } } } ``` #### Responses ##### Status: 200 ###### Content-Type: application/json - **`event` (required)** `string` — The name of the event. - **`event_ts` (required)** `integer`, format: `int64` — A timestamp at which the event occurred in echo milliseconds. - **`payload` (required)** `object` - **`account_id` (required)** `string` — The account ID of the user whose mailbox having the event. - **`object` (required)** `object` — The information of the event. - **`email` (required)** `string` — The mailbox email of which event is from. - **`history_id` (required)** `integer` — History ID of the event that is generated from the message change. - **`operator` (required)** `string` — The email of the user who triggered the event. It could be the mailbox owner or the mailbox delegate user. **Example:** ```json { "event": "", "event_ts": 1, "payload": { "account_id": "", "operator": "", "object": { "email": "", "history_id": 1 } } } ```